<script>
    import {read} from "../crud";
    import DetailButton from "../components/DetailButton.svelte";

    const apiURL = 'http://localhost:8081/api/v1/orders/customer/';


    async function loadData() {
        let data = await read(apiURL, 1);
        console.log(data);
        return data;
    }
</script>

<h1>Order history</h1>
{#await loadData() then data}
    <table>
        <tr>
            <th>Car</th>
            <th>Lease date</th>
            <th>Return date</th>
            <th></th>
        </tr>
        {#each data as order}
            <tr>
                <td>{order.car.name}</td>
                <td>{new Date(order.startTime).toDateString()}</td>
                <td>{new Date(order.endTime).toDateString()}</td>
                <td>
                    <DetailButton id={order.id}/>
                </td>

            </tr>
        {/each}
    </table>
{/await}
